package com.xclele.bigevent;

import com.auth0.jwt.JWT;
import com.auth0.jwt.JWTVerifier;
import com.auth0.jwt.algorithms.Algorithm;
import com.auth0.jwt.interfaces.Claim;
import com.auth0.jwt.interfaces.DecodedJWT;
import org.junit.jupiter.api.Test;

import java.util.Date;
import java.util.HashMap;
import java.util.Map;

public class JwtTest {

    public void testGen(){
        Map<String,Object> claims = new HashMap<>();
        claims.put("id",1);
        claims.put("username","张三");

        //生成jwt代码
        String token = JWT.create().
            withClaim("user",claims).
                withExpiresAt(new Date(System.currentTimeMillis()+1000*60*20)).
                    sign(Algorithm.HMAC256("123456"));//添加载荷

        System.out.println(token);
    }


    public void testParse(){
        String token = "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9" +
                ".eyJ1c2VyIjp7ImlkIjoxLCJ1c2VybmFtZSI6IuW8oOS4iSJ9LCJleHAiOjE3MzUyODQ5OTl9" +
                ".tDWyCZnsurokdF4iSw-ispbJIZPZ-rrf9xTbs4qK1kU";

        JWTVerifier jwtVerifier = JWT.require(Algorithm.HMAC256("123456")).build();

        DecodedJWT decodedJWT = jwtVerifier.verify(token);
        Map<String, Claim> claims = decodedJWT.getClaims();
        System.out.println(claims.get("user"));

        // 如果篡改了数据，验证失败
        // 如果token过期，验证失败

    }
}
